## ZendX_JQuery_View_Helper_TabContainer

Description

jQuery Tabs Container View Helper

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- license: New BSD License
- uses: Zend_Json

Located in /JQuery/View/Helper/TabContainer.php (line 37)

    Zend_View_Helper_HtmlElement
       |
       --ZendX_JQuery_View_Helper_UiWidget
          |
          --ZendX_JQuery_View_Helper_TabContainer

Variable Summary
array $_tabs
Method Summary
ZendX_JQuery_View_Helper_TabsContainer addPane (string $id, string $name, string $content, [ $options = array()])
string|ZendX_JQuery_View_Helper_TabsContainer tabContainer ([string $id = null], [array $params = array()], [array $attribs = array()])
Variables
array $_tabs = array() (line 44)

Save all the pre-rendered tab panes to each tab container

- access: protected

#### Inherited Variables

Inherited from ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::$jquery

Methods
addPane (line 55)

Add Tab to TabsContainer

- access: public

ZendX_JQuery_View_Helper_TabsContainer addPane (string $id, string $name, string $content, [ $options = array()])

- string $id
- string $name
- string $content
- array $options

tabContainer (line 81)

Render TabsContainer with all the currently registered tabs.

Render all tabs to the given $id. If no arguments are given the tabsContainer view helper object is returned and can be used for chaining addPane() for tab pane adding.

- link: http://docs.jquery.com/UI/Tabs
- access: public

string|ZendX_JQuery_View_Helper_TabsContainer tabContainer ([string $id = null], [array $params = array()], [array $attribs = array()])

- string $id
- array $params
- array $attribs

#### Inherited Methods

Inherited From ZendX_JQuery_View_Helper_UiWidget

> ZendX_JQuery_View_Helper_UiWidget::setView()
> ZendX_JQuery_View_Helper_UiWidget::_prepareAttributes()

Documentation generated on Mon, 24 Aug 2009 17:58:49 -0700 by phpDocumentor 1.4.2